구글(Google) 업체에서 제공하는 Chrome 웹 브라우저의 기능 개선 및 버그(Bug) 수정과 43건의 다중 보안 취약점 문제를 해결한 Chrome 76.0.3809.87 정식 버전이 업데이트 되었습니다.

 

Chrome 버전 정보 (chrome://settings/help)

이번 Chrome 76 정식 버전이 설치된 환경에서 주목할 점은 이전에는 Flash 실행 차단 옵션(chrome://settings/content/flash)을 제공하고 있었지만 "우선 확인(권장)"을 권장값으로 설정하고 있었습니다.

 

Chrome 웹 브라우저의 Flash Player 사용 중지 알림바

하지만 Chrome 76 버전부터는 업데이트 후 실행 시 "Flash Player는 2020년 12월 이후 더 이상 지원되지 않습니다." 알림바를 생성하여 사용자로 하여금 Flash 실행 차단 옵션 권장값을 "사이트의 플래시 실행 차단(권장)"으로 설정하도록 안내하기 시작하였습니다.

 

이미 공개된 것과 같이 Flash Player는 2020년 12월을 마지막으로 더 이상 Chrome 웹 브라우저에서는 지원을 종료할 예정이며 1년 반이 남은 시점에서 본격적으로 Flash 콘텐츠가 Chrome 웹 브라우저에서 실행되는 것을 차단하기 시작하였다고 보시면 됩니다.

 

Chrome 사이트 설정 중 Flash 메뉴

만약 사용자가 Flash Player 사용 중지를 선택한 경우 모든 사이트에서 Flash 콘텐츠 실행이 차단되며, 만약 Flash 콘텐츠가 있는 사이트 접속 시 주소 표시줄 우측에 "플러그인 차단됨" 알림 표시가 생성됩니다.

 

Chrome 주소 표시줄에 생성된 "플러그인 차단됨" 알림

사용자가 Flash 플러그인 차단으로 인하여 접속한 사이트의 일부 콘텐츠가 제대로 표시되지 않을 경우 "플러그인 차단됨" 영역을 클릭하시기 바랍니다.

 

Flash 차단 메시지

그러면 "사이트의 플래시 실행 차단" 설정값에 따라 2가지 유형의 "이 페이지에서 플래시가 차단되었습니다." 메시지 창이 생성될 수 있습니다.

 

참고로 좌측은 권장값(사이트의 플래시 실행 차단), 우측은 우선 확인으로 설정된 경우 "이번에만 플래시 실행" 선택 옵션이 표시됩니다.

 

사이트 설정 메뉴

만약 사용자가 사이트의 플래시 실행 차단을 한 상태로 사용 중에 특정 사이트에서만 Flash 플러그인을 허용하기 원하신다면 주소 표시줄에서 제공하는 사이트 아이콘을 클릭하여 "사이트 설정" 메뉴를 선택하시기 바랍니다.

 

사이트 권한 설정

연결된 사이트 권한 설정 페이지에서 Flash 플러그인 허용/차단 여부를 선택하시면 예외적으로 허용할 수 있습니다.

 

Flash 허용 사이트 등록 모습

정상적으로 사용자가 특정 사이트에 대한 허용을 한 경우 Flash 실행 차단 옵션(chrome://settings/content/flash)에 등록된 것을 확인할 수 있습니다.

 

아마도 Chrome 웹 브라우저는 해당 기능을 2020년 12월까지 제공한 후 2021년부터는 Flash 플러그인 자체가 Chrome 웹 브라우저에서 실행되지 않도록 변경할 예정으로 보입니다.

 

그 외에 Chrome 76.0.3809.87 정식 버전에서는 다음과 같은 보안 취약점 문제를 해결한 패치가 포함되어 있습니다.

 

■ High 등급

 

  1. CVE-2019-5850 : Use-after-free in offline page fetcher.
  2. CVE-2019-5851 : Use-after-poison in offline audio context.
  3. CVE-2019-5853 : Memory corruption in regexp length check.
  4. CVE-2019-5859 : res: URIs can load alternative browsers.
  5. CVE-2019-5860 : Use-after-free in PDFium.

■ Medium 등급

 

  1. CVE-2019-5855 : Integer overflow in PDFium.
  2. CVE-2019-5856 : Insufficient checks on filesystem: URI permissions.
  3. CVE-2019-5863 : Use-after-free in WebUSB on Windows.
  4. CVE-2019-5865 : Site isolation bypass from compromised renderer.

■ Low 등급

 

  1. CVE-2019-5852 : Object leak of utility functions.
  2. CVE-2019-5854 : Integer overflow in PDFium text rendering.
  3. CVE-2019-5857 : Comparison of -0 and null yields crash.
  4. CVE-2019-5858 : Insufficient filtering of Open URL service parameters.
  5. CVE-2019-5861 : Click location incorrectly checked.
  6. CVE-2019-5862 : AppCache not robust to compromised renderers.
  7. CVE-2019-5864 : Insufficient port filtering in CORS for extensions.

그 외에도 AddressSanitizer, MemorySanitizer, UndefinedBehaviorSanitizer, Control Flow Integrity, libFuzzer, AFL를 이용하여 다수의 보안 버그(Bug)를 찾아 수정하였습니다.

 

그러므로 Chrome 웹 브라우저 사용자는 자동 업데이트(Chrome 맞춤설정 및 제어 → 도움말 → Chrome 정보) 기능을 통해 최신 버전으로 업데이트하시고 사용하시기 바랍니다.

블로그 이미지

울지않는 벌새

울지않는벌새가 되고 싶은 나..

댓글을 달아 주세요